##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#
# Handling name of the Root Dictionary Files
#
CINT  = Main

#
# Library name to creatre
#
LIB   = mmain.a

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../mbase -I../manalysis -I../mdatacheck -I../meventdisp \
	   -I../mgui -I../mgeom -I../mhist -I../mmontecarlo -I../mfileio \
           -I../mimage -I../mhistmc

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MBrowser.cc \
	   MEvtDisp.cc \
	   MDataCheck.cc \
	   MMars.cc \
           MGMenu.cc \
           MAnalysis.cc \
	   MMonteCarlo.cc \
           MSearch.cc \
           MStatusDisplay.cc \
	   MProgressBar.cc \
           MCameraDisplay.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode

